# ipe::PdfNumber Class Reference
Ipe Base

The PDF number object. More...

`#include <ipepdfparser.h>`

Inherits ipe::PdfObj.

List of all members.

## Public Member Functions

- PdfNumber (double val)
- virtual const PdfNumber * number () const
- virtual void write (Stream &stream) const
- double value () const

## Detailed Description

The PDF number object.

## Constructor & Destructor Documentation

ipe::PdfNumber::PdfNumber | ( | double | val | ) | `[inline, explicit]`

## Member Function Documentation

const PdfNumber * PdfNumber::number | ( |  | ) | const`[virtual]`

Return this object as PDF number object.

Reimplemented from ipe::PdfObj.

void PdfNumber::write | ( | Stream & | stream | ) | const`[virtual]`

Implements ipe::PdfObj.

double ipe::PdfNumber::value | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following files:

- ipepdfparser.h
- ipepdfparser.cpp